%global _empty_manifest_terminate_build 0
Name:		python-schema
Version:	0.7.5
Release:	2
Summary:	Simple data validation library
License:	MIT
URL:		https://github.com/keleshev/schema
Source0:	https://github.com/keleshev/schema/archive/refs/tags/v0.7.5.tar.gz
BuildArch:	noarch

%description
**schema** is a library for validating Python data structures, such as those
obtained from config-files, forms, external services or command-line
parsing, converted from JSON/YAML (or something else) to Python data-types.

%package -n python3-schema
Summary:	Simple data validation library
Provides:	python-schema
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-schema
**schema** is a library for validating Python data structures, such as those
obtained from config-files, forms, external services or command-line
parsing, converted from JSON/YAML (or something else) to Python data-types.

%package help
Summary:	Development documents and examples for schema
Provides:	python3-schema-doc
%description help
**schema** is a library for validating Python data structures, such as those
obtained from config-files, forms, external services or command-line
parsing, converted from JSON/YAML (or something else) to Python data-types.

%prep
%autosetup -n schema-0.7.5
sed -i -e /contextlib2/d requirements.txt

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-schema -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 31 2023 xu_ping <707078654@qq.com> - 0.7.5-2
- Remove requires python3-contextlib because want to use standard Python contextlib

* Thu Jun 23 2022 houyingchao <houyingchao@h-partners.com> - 0.7.5-1
- Upgrade to version 0.7.5

* Fri Sep 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
